<template>
  <pageWrapper
    :title="$t('terms.title')"
    :closable="showingMenu"
    backable
    :gradient="true"
    @close="closeAll"
    ref="pageWrapper"
    :defaultScroll="true"
    @back="close">
    <div>
      <div
        class="text-center"
        style="padding: 50px 0px 30px 0px;">
        <img
          style="max-width: 150px;"
          src="~/static/icons/logo.svg"
          alt="">
        <div style="padding: 10px 0px 20px 0px;">{{$t('terms.logotitle')}}</div>
        <div
          style="color: #00bcc5;"
          class="text-09">{{$t('terms.date')}}
        </div>
      </div>
      <div
        class="text-uppercase text-09"
        style="padding: 10px 20px;">
        {{$t('terms.part1_title')}}
      </div>
      <Part>
        {{$t('terms.part1')}}
      </Part>
      <Part
        :title="$t('terms.part2_title')"
        :pointed="false">
        {{$t('terms.part2')}}
      </Part>
      <Part
        :title="$t('terms.part3_title')"
        style="padding-bottom: 30px;"
        :pointed="false">
        {{$t('terms.part3')}}
      </Part>
      <Part
        :title="$t('terms.part4_title')"
        style="padding-bottom: 30px;"
        background-color="#1e293f">
        {{$t('terms.part4')}}
      </Part>
      <Part
        :title="$t('terms.part5_title')"
        style="padding-bottom: 30px;">
        {{$t('terms.part5')}}
      </Part>
      <Part
        :title="$t('terms.part6_title')"
        style="padding-bottom: 30px;"
        background-color="#1e293f">
        {{$t('terms.part6')}}
      </Part>
      <Part
        :title="$t('terms.part7_title')"
        :subtitle="$t('terms.part7_sub_title')">
        {{$t('terms.part7')}}
      </Part>
      <Part :subtitle="$t('terms.part8_sub_title')">
        {{$t('terms.part8')}}
      </Part>
      <Part
        :subtitle="$t('terms.part9_sub_title')"
        style="padding-bottom: 30px;">
        {{$t('terms.part9')}}
      </Part>
      <Part
        :title="$t('terms.part10_title')"
        background-color="#1e293f">
        {{$t('terms.part10')}}
      </Part>
      <Part
        :subtitle="$t('terms.part11_sub_title')"
        background-color="#1e293f"
        style="padding-bottom: 30px;">
        {{$t('terms.part11')}}
      </Part>
      <Part
        :title="$t('terms.part12_title')">
        <div
          class="text-09 color-white"
          style="padding-bottom: 20px;">
          {{$t('terms.part12')}}
        </div>
        <div>
          {{$t('terms.part13')}}
          {{$t('terms.part14')}}
          {{$t('terms.part15')}}
        </div>
      </Part>
      <Part
        :title="$t('terms.part16_title')"
        style="padding-bottom: 30px;"
        background-color="#1e293f">
        {{$t('terms.part16')}}
      </Part>
      <Part
        :title="$t('terms.part17_title')">
        <div
          class="text-09 color-white"
          style="padding-bottom: 20px">
          {{$t('terms.part17')}}
        </div>
        <div>
          {{$t('terms.part18')}}
        </div>
      </Part>
      <Part
        :subtitle="$t('terms.part19_sub_title')"
        style="padding-bottom: 30px;">
        {{$t('terms.part19')}}
      </Part>
      <Part
        :title="$t('terms.part20_title')"
        background-color="#1e293f"
        style="padding-bottom: 30px;">
        {{$t('terms.part20')}}
        <div
          class="color-white"
          style="padding: 20px 0px;">{{$t('terms.part21')}}
        </div>
        <div class="color-white">
          {{$t('terms.part22')}}
        </div>
      </Part>
      <Part :title="$t('terms.part23_title')">
        {{$t('terms.part23')}}
      </Part>
      <div style="background-color: #1e293f; padding: 20px 20px 0px 20px; font-size: 1.2rem;">
        {{$t('terms.part24')}}
      </div>
      <Part
        :title="$t('terms.part25_title')"
        background-color="#1e293f">
        {{$t('terms.part25')}}
      </Part>
      <Part :title="$t('terms.part26_title')">
        {{$t('terms.part26')}}
      </Part>
      <Part
        :title="$t('terms.part27_title')"
        background-color="#1e293f">
        {{$t('terms.part27')}}
      </Part>
      <Part :title="$t('terms.part28_title')">
        {{$t('terms.part28')}}
      </Part>
      <Part
        :title="$t('terms.part29_title')"
        background-color="#1e293f">
        {{$t('terms.part29')}}
      </Part>
      <Part :title="$t('terms.part30_title')">
        {{$t('terms.part30')}}
      </Part>
      <Part
        :title="$t('terms.part31_title')"
        background-color="#1e293f">
        {{$t('terms.part31')}}
      </Part>
      <Part :title="$t('terms.part32_title')">
        <div style="padding-bottom: 20px;">
          {{$t('terms.part32')}}
        </div>
        <div class="flex flex-center">
          <BtnSign @click="close">{{$t('common.accept')}}</BtnSign>
        </div>
      </Part>
    </div>
  </pageWrapper>
</template>

<script>
  import pageWrapper from '~/components/common/pageWrapper';
  import Part from './part';
  import BtnSign from '~/components/UI/BtnSign';

  export default {
    name: "index",
    data() {
      return {}
    },
    components: {
      pageWrapper, Part, BtnSign
    },
    computed: {
      showingMenu() {
        return this.$store.state.common.showingMenu;
      },
    },
    methods: {
      closeAll() {
        this.close();
        this.$root.$refs['headerTop'].openMenu(false);
      },
      close() {
        this.$emit('close');
        this.enableScroll();
      },
      enableScroll() {
        this.$refs['pageWrapper'].enableScroll();
      },
      disableScroll() {
        this.$refs['pageWrapper'].disableScroll();
      },
    },
    created() {
    }
  }
</script>
